=== debian/control ===
Source: libsaxon-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eugene Zhukov <jevgeni.zh@gmail.com>
Build-Depends: debhelper (>= 9), default-jdk, javahelper (>= 0.32~),
 libjdom1-java, gcj-native-helper, maven-repo-helper
Build-Depends-Indep: default-jdk-doc, libjdom1-java-doc
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libsaxon-java
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libsaxon-java
Homepage: http://saxon.sourceforge.net/

Package: libsaxon-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libjdom1-java, libsaxon-java-doc
Description: Saxon XSLT Processor
 The saxon package is a collection of tools for processing XML documents and 
 implements the XSLT 1.0 recommendation, including XPath 1.0, in its entirety.
 .
 Saxon is known to work well for processing DocBook XML documents
 with the DocBook XSL Stylesheets. Related packages make the process
 straightforward.

Package: libsaxon-java-gcj
Architecture: any
Depends: libsaxon-java (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
 ${java:Depends}
Recommends: ${java:Recommends}
Description: Saxon XSLT Processor (native code)
 The saxon package is a collection of tools for processing XML documents and
 implements the XSLT 1.0 recommendation, including XPath 1.0, in its entirety.
 .
 Saxon is known to work well for processing DocBook XML documents
 with the DocBook XSL Stylesheets. Related packages make the process
 straightforward.
 .
 This package contains the native compiled byte code for the Saxon XSLT
 processor.

Package: libsaxon-java-doc
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Saxon XSLT Processor's documentation and javadoc
 The saxon package is a collection of tools for processing XML documents and 
 implements the XSLT 1.0 recommendation, including XPath 1.0, in its entirety.
 .
 This package contains the documentation and javadoc for Saxon.
