=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION=6.5.5
JAVA_HOME=/usr/lib/jvm/default-java
SOURCES=src
BUILD=build
APIDOC=build/api
JDOM=com/icl/saxon/jdom
CLASSPATH = /usr/share/java/jdom1.jar
JAVADOC = $(JAVA_HOME)/bin/javadoc -encoding ISO-8859-1

# hardening
#CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# pass compile option to gcj:
# CPPFLAGS is not use, since leads to:
# gcj: can't specify '-D' without '--main'
export AOT_GCJFLAGS=$(CFLAGS)
export AOT_LDFLAGS=$(LDFLAGS)

include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

%:
	dh $@ --with javahelper

override_dh_auto_build:
	if [ ! -d $(BUILD) ]; then mkdir $(BUILD); mkdir $(APIDOC); fi	
	$(JAVA_HOME)/bin/javac -nowarn -source 1.5 -target 1.5 -sourcepath $(SOURCES) -classpath $(CLASSPATH) -d $(BUILD) `find $(SOURCES) -name \*.java`
	cp -r $(SOURCES)/META-INF $(BUILD)
	cp debian/MANIFEST.MF $(BUILD)/META-INF
	# split off jdom classes, everything else into saxon.jar
	(cd $(BUILD); $(JAVA_HOME)/bin/jar -cfM ../saxon.jar META-INF `find . -name \*.class | egrep -v $(JDOM)`; \
	 $(JAVA_HOME)/bin/jar -cfM ../saxon-jdom.jar $(JDOM)/*.class )
	touch build-stamp

binary binary-indep:
	# Only compile the javadoc if we have too
	(cd $(APIDOC) ; $(JAVADOC) -sourcepath ../../$(SOURCES) -link /usr/share/doc/default-jdk-doc/api \
		-link /usr/share/doc/libjdom1-java/api @../../debian/javadoc-args )
	dh $@ --with javahelper

override_dh_auto_clean:
	rm -f build-stamp configure-stamp saxon*.jar
	rm -rf $(BUILD)
	mh_clean

override_jh_installlibs:
	jh_installlibs --upstream-version="$(UPSTREAM_VERSION)"

override_jh_depends:
	# jh_depends chokes on the jar file for some reason
	jh_depends -plibsaxon-java-doc

override_dh_strip:
ifeq ($(with_gcj_native),yes)
	dh_nativejava -plibsaxon-java-gcj
endif
	dh_strip

override_dh_auto_install:
	mh_installpoms -plibsaxon-java
	mh_installjar -plibsaxon-java debian/saxon.pom saxon.jar

debian/saxon-xslt.1: debian/saxon-xslt.1.in
	help2man --include=$< --output=$@ --help-option="-?" \
		--no-info `basename $@ .1` --version-string=$(UPSTREAM_VERSION) --no-discard-stderr
